unit ExternalGeneratorSDK;

interface

uses
  Windows;

const
  GENERATED_KEY_TEXT = 0;
  GENERATED_KEY_BINARY = 1;

  EXTRA_OUTPUT_TYPE_ANSI = 0;
  EXTRA_OUTPUT_TYPE_UNICODE = 1;

Type

sCustomerInfo = record
  FirstNameAnsi: PAnsiChar;
  FirstNameUnicode: PWideChar;
  LastNameAnsi: PAnsiChar;
  LastNameUnicode: PWideChar;
  JobTitle: PAnsiChar;
  Company: PAnsiChar;
  Email: PAnsiChar;
  Phone: PAnsiChar;
  Fax: PAnsiChar;
  Address1: PAnsiChar;
  Address2: PAnsiChar;
  City: PAnsiChar;
  ZipCode: PAnsiChar;
  State: PAnsiChar;
  Country: PAnsiChar;
  Notes: PAnsiChar;
  IsAcceptingEmails: BYTE;
  IsRegisteredUser: BYTE
end;

sProductInfo = record
  ProductName: PAnsiChar;
  Description: PAnsiChar;
  Version: PAnsiChar;
  UnitPrice: PAnsiChar;
  ShippingFee: PAnsiChar;
  ServiceFee: PAnsiChar;
  Notes: PAnsiChar;
  CustomValues: PAnsiChar;
end;

sOrderInfo = record
  OrderNumber: DWORD;
  DeliveryMethod: PAnsiChar;
  OrderDate: SYSTEMTIME;
  ExpireDate: SYSTEMTIME;
  IsMarkedAsExpired: BYTE;
  HowFound: PAnsiChar;
  RegistrationNameAnsi: PAnsiChar;
  RegistrationNameUnicode: PWideChar;
  ShippingStreet: PAnsiChar;
  ShippingCity: PAnsiChar;
  ShippingState: PAnsiChar;
  ShippingZip: PAnsiChar;
  ShippingCountry: PAnsiChar;
  PaymentMethod: PAnsiChar;
  Total: PAnsiChar;
  IsOrderPaid: BYTE;
  Notes: PAnsiChar;
end;

implementation

end.
